The course is fine, I have learned what exactly Fast-Forward is and recendly I have been bullying (a bit) my colleagues by doing rebases instead of merges and some of them though that I have been pushing directly to master *hehe*
